<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/reorder.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>reorder.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for reorder.c:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c__incl.png" border="0" usemap="#init_2reorder_8c_map" alt=""/></div>
<map name="init_2reorder_8c_map" id="init_2reorder_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="135,86,185,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="209,86,279,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="reorder_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="reorder_8c.html#a6924d6317e2e503ad009880947d9f905">CheckPartition</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, int parts)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="reorder_8c.html#a325dee9c88a63835d07e633aac72bc7e">PermuteData</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, IS isvert, IS isele)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6">OptimizeBandwidth</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18">TrivialPartitioning</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62">Reorder</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a6924d6317e2e503ad009880947d9f905"></a><!-- doxytag: member="reorder.c::CheckPartition" ref="a6924d6317e2e503ad009880947d9f905" args="(GridData *gdata, int parts)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CheckPartition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>parts</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="reorder_8c_source.html#l00030">30</a> of file <a class="el" href="reorder_8c_source.html">reorder.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="matcreateseqadj_8c_source.html#l00030">matcreateseqadj()</a>, <a class="el" href="matviewstruct_8c_source.html#l00029">matviewstruct()</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>.</p>

<p>Referenced by <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, and <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a6924d6317e2e503ad009880947d9f905_cgraph.png" border="0" usemap="#reorder_8c_a6924d6317e2e503ad009880947d9f905_cgraph_map" alt=""></div>
<map name="reorder_8c_a6924d6317e2e503ad009880947d9f905_cgraph_map" id="reorder_8c_a6924d6317e2e503ad009880947d9f905_cgraph">
<area shape="rect" id="node3" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a" title="matcreateseqadj" alt="" coords="161,5,279,35"/><area shape="rect" id="node9" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a" title="matviewstruct" alt="" coords="169,58,271,89"/><area shape="rect" id="node5" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="329,5,423,35"/><area shape="rect" id="node7" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="473,5,575,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a6924d6317e2e503ad009880947d9f905_icgraph.png" border="0" usemap="#reorder_8c_a6924d6317e2e503ad009880947d9f905_icgraph_map" alt=""></div>
<map name="reorder_8c_a6924d6317e2e503ad009880947d9f905_icgraph_map" id="reorder_8c_a6924d6317e2e503ad009880947d9f905_icgraph">
<area shape="rect" id="node3" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="160,5,331,35"/><area shape="rect" id="node11" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="179,58,312,89"/><area shape="rect" id="node14" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="185,111,305,142"/><area shape="rect" id="node5" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="379,58,445,89"/><area shape="rect" id="node7" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="495,58,553,89"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="603,58,653,89"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aaa65da5c15989b05f5beaa0caec46fa6"></a><!-- doxytag: member="reorder.c::OptimizeBandwidth" ref="aaa65da5c15989b05f5beaa0caec46fa6" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int OptimizeBandwidth </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="reorder_8c_source.html#l00231">231</a> of file <a class="el" href="reorder_8c_source.html">reorder.c</a>.</p>

<p>References <a class="el" href="ascat_8c_source.html#l00030">ascat()</a>, <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="distint_8c_source.html#l00030">distint()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="matcreateseqadj_8c_source.html#l00030">matcreateseqadj()</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_cgraph.png" border="0" usemap="#reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_cgraph_map" alt=""></div>
<map name="reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_cgraph_map" id="reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_cgraph">
<area shape="rect" id="node3" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="377,163,431,194"/><area shape="rect" id="node5" href="init_8h.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="189,57,296,87"/><area shape="rect" id="node7" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a" title="matcreateseqadj" alt="" coords="345,5,463,35"/><area shape="rect" id="node15" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b" title="distint" alt="" coords="215,163,271,194"/><area shape="rect" id="node18" href="init_8h.html#a325dee9c88a63835d07e633aac72bc7e" title="PermuteData" alt="" coords="195,110,291,141"/><area shape="rect" id="node13" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a" title="matviewstruct" alt="" coords="353,58,455,89"/><area shape="rect" id="node9" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="513,5,607,35"/><area shape="rect" id="node11" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="657,5,759,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_icgraph.png" border="0" usemap="#reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_icgraph_map" alt=""></div>
<map name="reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_icgraph_map" id="reorder_8c_aaa65da5c15989b05f5beaa0caec46fa6_icgraph">
<area shape="rect" id="node3" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="189,5,256,35"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="305,5,364,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="413,5,464,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a325dee9c88a63835d07e633aac72bc7e"></a><!-- doxytag: member="reorder.c::PermuteData" ref="a325dee9c88a63835d07e633aac72bc7e" args="(GridData *gdata, IS isvert, IS isele)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PermuteData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IS&nbsp;</td>
          <td class="paramname"> <em>isvert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IS&nbsp;</td>
          <td class="paramname"> <em>isele</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="reorder_8c_source.html#l00112">112</a> of file <a class="el" href="reorder_8c_source.html">reorder.c</a>.</p>

<p>References <a class="el" href="ascat_8c_source.html#l00030">ascat()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, and <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a325dee9c88a63835d07e633aac72bc7e_cgraph.png" border="0" usemap="#reorder_8c_a325dee9c88a63835d07e633aac72bc7e_cgraph_map" alt=""></div>
<map name="reorder_8c_a325dee9c88a63835d07e633aac72bc7e_cgraph_map" id="reorder_8c_a325dee9c88a63835d07e633aac72bc7e_cgraph">
<area shape="rect" id="node3" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="153,5,207,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a325dee9c88a63835d07e633aac72bc7e_icgraph.png" border="0" usemap="#reorder_8c_a325dee9c88a63835d07e633aac72bc7e_icgraph_map" alt=""></div>
<map name="reorder_8c_a325dee9c88a63835d07e633aac72bc7e_icgraph_map" id="reorder_8c_a325dee9c88a63835d07e633aac72bc7e_icgraph">
<area shape="rect" id="node3" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="152,5,323,35"/><area shape="rect" id="node11" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="171,58,304,89"/><area shape="rect" id="node14" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="177,111,297,142"/><area shape="rect" id="node5" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="371,58,437,89"/><area shape="rect" id="node7" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="487,58,545,89"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="595,58,645,89"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a37fbeb81912fa6f3e4bcc7e3dd71bc62"></a><!-- doxytag: member="reorder.c::Reorder" ref="a37fbeb81912fa6f3e4bcc7e3dd71bc62" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Reorder </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="reorder_8c_source.html#l00399">399</a> of file <a class="el" href="reorder_8c_source.html">reorder.c</a>.</p>

<p>References <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_cgraph.png" border="0" usemap="#reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_cgraph_map" alt=""></div>
<map name="reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_cgraph_map" id="reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_cgraph">
<area shape="rect" id="node3" href="init_8h.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="120,132,291,163"/><area shape="rect" id="node24" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="139,186,272,216"/><area shape="rect" id="node31" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="145,79,265,110"/><area shape="rect" id="node5" href="init_8h.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="339,186,445,216"/><area shape="rect" id="node15" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b" title="distint" alt="" coords="364,132,420,163"/><area shape="rect" id="node17" href="parteleser_8c.html#a338625e08e016cbad07c3c6bd5159822" title="MetisPartition" alt="" coords="341,26,443,56"/><area shape="rect" id="node21" href="init_8h.html#a325dee9c88a63835d07e633aac72bc7e" title="PermuteData" alt="" coords="344,79,440,110"/><area shape="rect" id="node7" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a" title="matcreateseqadj" alt="" coords="495,263,612,294"/><area shape="rect" id="node13" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a" title="matviewstruct" alt="" coords="503,186,604,216"/><area shape="rect" id="node9" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="663,263,756,294"/><area shape="rect" id="node11" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="807,263,908,294"/><area shape="rect" id="node19" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="527,52,580,83"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_icgraph.png" border="0" usemap="#reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_icgraph_map" alt=""></div>
<map name="reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_icgraph_map" id="reorder_8c_a37fbeb81912fa6f3e4bcc7e3dd71bc62_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="121,5,180,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="229,5,280,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6f34cee4815f64fdb70ac23efe121a18"></a><!-- doxytag: member="reorder.c::TrivialPartitioning" ref="a6f34cee4815f64fdb70ac23efe121a18" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TrivialPartitioning </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="reorder_8c_source.html#l00326">326</a> of file <a class="el" href="reorder_8c_source.html">reorder.c</a>.</p>

<p>References <a class="el" href="ascat_8c_source.html#l00030">ascat()</a>, <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="distint_8c_source.html#l00030">distint()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_cgraph.png" border="0" usemap="#reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_cgraph_map" alt=""></div>
<map name="reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_cgraph_map" id="reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_cgraph">
<area shape="rect" id="node3" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="361,150,415,181"/><area shape="rect" id="node5" href="init_8h.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="173,31,280,62"/><area shape="rect" id="node15" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b" title="distint" alt="" coords="199,135,255,166"/><area shape="rect" id="node17" href="init_8h.html#a325dee9c88a63835d07e633aac72bc7e" title="PermuteData" alt="" coords="179,189,275,219"/><area shape="rect" id="node7" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a" title="matcreateseqadj" alt="" coords="329,58,447,89"/><area shape="rect" id="node13" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a" title="matviewstruct" alt="" coords="337,5,439,35"/><area shape="rect" id="node9" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="497,58,591,89"/><area shape="rect" id="node11" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="641,58,743,89"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_icgraph.png" border="0" usemap="#reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_icgraph_map" alt=""></div>
<map name="reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_icgraph_map" id="reorder_8c_a6f34cee4815f64fdb70ac23efe121a18_icgraph">
<area shape="rect" id="node3" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="173,5,240,35"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="289,5,348,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="397,5,448,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

